%define upstream_name    Lingua-Stem
%define upstream_version 2.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Stemming of words
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Lingua::GL::Stemmer)
BuildRequires: perl(Lingua::PT::Stemmer)
BuildRequires: perl(Lingua::Stem::Fr) >= 0.20.0
BuildRequires: perl(Lingua::Stem::It)
BuildRequires: perl(Lingua::Stem::Ru)
BuildRequires: perl(Lingua::Stem::Snowball::Da) >= 1.10.0
BuildRequires: perl(Lingua::Stem::Snowball::No) >= 1.0.0
BuildRequires: perl(Lingua::Stem::Snowball::Se) >= 1.10.0
BuildRequires: perl(Text::German)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This routine applies stemming algorithms to its parameters, returning the
stemmed words as appropriate to the selected locale.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Lingua
%{_mandir}/man3*/*

%changelog
* Sun Sep 27 2020 tv <tv> 2.310.0-1.mga8
+ Revision: 1630757
- update to 2.31

* Sun Jun 21 2020 tv <tv> 2.300.0-1.mga8
+ Revision: 1598281
- update to 2.30

* Wed Feb 12 2020 umeabot <umeabot> 0.840.0-10.mga8
+ Revision: 1495384
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.840.0-9.mga7
+ Revision: 1268879
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.840.0-8.mga6
+ Revision: 1029154
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.840.0-7.mga6
+ Revision: 939441
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.840.0-6.mga5
+ Revision: 740662
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.840.0-5.mga5
+ Revision: 733116
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.840.0-4.mga5
+ Revision: 685216
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.840.0-3.mga4
+ Revision: 512602
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.840.0-2.mga3
+ Revision: 369037
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.840.0-1.mga1
+ Revision: 32129
- mageia rebuild
- imported package perl-Lingua-Stem

